Xorg crash with fglrx [SOLVED]

Questions about SolydX and SolydK installation.
nbi
Posts: 32
Joined: 10 Feb 2014 18:59

Xorg crash with fglrx [SOLVED]

Postby nbi » 03 Nov 2014 19:51

Initially installed SolydX 072014 with Radeon driver. All good.

Wanted to upgrade to fglrx. I've installed fglrx many times on previous linux versions so I'm familiar with the pitfalls. Did the install strictly by the book (Debian Proprietary AMD Wiki).

Looks like it installed ok (via Synaptic):
dkms status
fglrx, 14.6~ga14.201, 3.16.3, x86_64: installed

And lsmod shows fglrx loaded upon boot.

But....Xorg crashes (Xorg.0.log):
X.Org X Server 1.16.1
Release Date: 2014-09-21
.
.
(II) LoadModule: "amdxmm"
(II) Loading /usr/lib/xorg/modules/amdxmm.so
(II) Module amdxmm: vendor="X.Org Foundation"
compiled for 1.4.99.906, module version = 2.0.0
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x56) [0x7fd90fe63ab6]
(EE) 1: /usr/bin/X (0x7fd90fcae000+0x1b9c99) [0x7fd90fe67c99]
(EE) 2: /lib/x86_64-linux-gnu/libc.so.6 (0x7fd90d9a6000+0x350f0) [0x7fd90d9db0f0]
(EE) 3: /usr/bin/X (xf86XvMCScreenInit+0x24) [0x7fd90fd5f974]
(EE) 4: /usr/lib/xorg/modules/amdxmm.so (UvdFwSetup+0x340) [0x7fd9083116d0]
(EE) 5: /usr/lib/xorg/modules/amdxmm.so (amdxmmWrapperInit+0x140) [0x7fd908315920]
(EE) 6: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs116_VideoPostSetup+0x206) [0x7fd90b5c0646]
(EE) 7: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs116_atiddxScreenInit+0xf29) [0x7fd90b59a0e9]
(EE) 8: /usr/bin/X (AddScreen+0x101) [0x7fd90fd05261]
(EE) 9: /usr/bin/X (InitOutput+0x3a7) [0x7fd90fd472f7]
(EE) 10: /usr/bin/X (0x7fd90fcae000+0x5ae7a) [0x7fd90fd08e7a]
(EE) 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf5) [0x7fd90d9c7b45]
(EE) 12: /usr/bin/X (0x7fd90fcae000+0x4550e) [0x7fd90fcf350e]
(EE)
(EE) Segmentation fault at address 0x4

My gut feeling is that this is a packaging boo-boo. Prior experience is that if the Xorg X server is too new for the fglrx driver (or vice versa) then they don't play nice together. This is a dependency that should be enforced at install time.

If anyone has Xorg and fglrx working together from the 072014 install could you please list the fglrx and Xorg component version numbers? Many thanks.

SOLVED:
With great pain I managed to get it working with the 14.9 fglrx driver. I identified all dependencies and their versions and downloaded all the corresponding .deb packages. It turns out that the 072014 SolydX iso already had some but not all of the components required to satisfy fglrx 14.9. I just kept recursively installing the .debs until all dependencies were resolved.

Observations:
1. The fglrx 14.6 components made available by Synaptic (SolydX repository) will not produce a working video setup out of the box. Whenever I encountered such a situation the best bet is to manually install the most current fglrx components. And that approach worked in this instance. Don't know what the 14.6 problem is. Could be bad binaries, packaging, installation.
2. I've gotten away with skipping 'aticonfig --initial' on prior setups that already had a working /etc/X11/xorg.conf. Not this time. Although the xorg.conf files before and after 'aticonfig --initial' are identical X wouldn't start until this command was run.

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 2 guests